<?php

include_once("ascontrol.php");

$zone_name_mapping = array("Living Room", "Kitchen", "Master Bedroom", "Backyard");
$base_url = "http://localhost/audio/";
$player_urls = array($base_url . "../phpMp1/", $base_url . "../phpMp2/", $base_url . "../phpMp3/", $base_url . "../phpMp4/");

function DumpZoneInfo()
{
	global $zone_name_mapping;	
	global $player_urls;
	global $base_url;

	$config = ReadConfig();
	
	echo "<a href=" . $base_url . "index.php?set_defaults=1>Default Settings</a><br><br>";
	
	echo "<table>";
	foreach ($config as $zone)
	{
		echo "<tr>";
		echo "<td><a href=" . $base_url . "index.php?zone=" . $zone[0] . ">" . $zone_name_mapping[(int)$zone[0]] . "</a></td>";
		echo "<td> -> </td>";
		echo "<td><a href=" . $player_urls[(int)$zone[1]] . ">Player" . ($zone[1] + 1) . "</a></td>";
		echo "<td>";
		VolumeControl($zone[0]);
		echo "</td>";
		echo "</tr>";
	}
	echo "</table>";
}

function ConfigZone($zone)
{
	global $zone_name_mapping;
	global $base_url;
	
	$selected_player = $_GET{player};
	$config = ReadConfig();	
	
	if ($selected_player == "")
	{
		echo $zone_name_mapping[(int)$zone] . " -> ";
		$first = true;
		foreach (range(0, count($config) - 1) as $player_number)
		{
			if (!$first)
			{
				echo " or ";
			}
			echo "<a href=" . $base_url . "index.php?zone=" . $zone . "&player=" . $player_number . ">Player" . ($player_number + 1) . "</a>";
			$first = false;
		}
	}
	else
	{
		// update the zone config and redirect us back to the start
		SetZone(array($zone, $selected_player));
		
		DumpZoneInfo();	
	} 
}

function VolumeControl($zone)
{
	$requested_volume = $_GET{volume};
	$requested_zone = $_GET{vzone};
	
	if ($requested_volume != "" && $requested_zone != "")
	{
		if ($requested_zone == $zone)
		{
			// we need to set the volume then
			SetVolume($requested_zone, $requested_volume);
		}
	}

	$current_volume = GetVolumeInfo($zone);
	
	echo "<table border=0 cellpadding=0 cellspacing=0><tr>";
	foreach (range(0, 100) as $volume)
	{
		if ($current_volume == $volume)
		{
			echo "<td bgcolor=yellow>||</td>";
		}
		else
		{
			echo "<td bgcolor=yellow><a href=index.php?vzone=" . $zone . "&volume=" . $volume . ">&nbsp</a></td>";
		}
	}
	echo "</tr></table>";
}

$zone = $_GET{zone};
$set_defaults = $_GET{set_defaults};

if ($set_defaults != "")
{
	SetDefaultConfig();
}

if ($zone != "")
{
	ConfigZone($zone);
}
else
{
	DumpZoneInfo();
}

?>
